Skip to main content

Southwest Airlines Community

MISLEADING: Latest App update does not support iOS 10.3.3

sircambridge
New Arrival

Hi, the southwest app mobile team committed a huge no-no in the software development world.

 

Recently, I updated the southwest app via the apple app store, which happily let me download the app, only for me to find out my OS was not supported. ("We've retired this version to the hangar, please update the app in the app store" - I go to the app store, and I definitely have the newest version, that was updated July 17th, 2019)

 

Southwest should *not* have submitted to the app store claiming it supports iOS 10.3.3, if it actually does not. This way, apple could have given me a warning (this app does not support your OS), and give me the option to stay on an older version of the app.

 

Imagine my dismay when I updated the app at the airport, just to find out I could not load my boarding pass.

 

Yes,I understand I can update my iOS, but obviously I could not do this at the airport. Either way, this should not be a requirement for me to use the southwest app.

 

I have very good reasons to need to stay on iOS 10.3, and it is now impossible for me to use the southwest app on my older iphone.

 

I'd imagine I am not alone here. There are a fair amount of older iphone users that are on an iphone 5 or 6, which are stuck on an older iOS for a variety of reasons. This should not be a reason for us to be inconvenienced at the airport.

 

 

 

 

6 REPLIES 6
Highlighted

Re: MISLEADING: Latest App update does not support iOS 10.3.3

DancingDavidE
Top Contributor

@sircambridge wrote:

Hi, the southwest app mobile team committed a huge no-no in the software development world.

 

Recently, I updated the southwest app via the apple app store, which happily let me download the app, only for me to find out my OS was not supported. ("We've retired this version to the hangar, please update the app in the app store" - I go to the app store, and I definitely have the newest version, that was updated July 17th, 2019)

 

Southwest should *not* have submitted to the app store claiming it supports iOS 10.3.3, if it actually does not. This way, apple could have given me a warning (this app does not support your OS), and give me the option to stay on an older version of the app.

 

Imagine my dismay when I updated the app at the airport, just to find out I could not load my boarding pass.

 

Yes,I understand I can update my iOS, but obviously I could not do this at the airport. Either way, this should not be a requirement for me to use the southwest app.

 

I have very good reasons to need to stay on iOS 10.3, and it is now impossible for me to use the southwest app on my older iphone.

 

I'd imagine I am not alone here. There are a fair amount of older iphone users that are on an iphone 5 or 6, which are stuck on an older iOS for a variety of reasons. This should not be a reason for us to be inconvenienced at the airport.

 

 

 

 


Hopefully you can still get a boarding pass through the mobile website, but that stinks to update the app and not be compatible. 

 

That said, the prior version of the app could also be sunset at some point although I’m not clear if you were in that position or not, it sounded like you attempted a discretionary upgrade not a forced one.

 

 

 

Home airport MDW, frequent visitor to MCO to see the mouse.
Highlighted

Re: MISLEADING: Latest App update does not support iOS 10.3.3

sircambridge
New Arrival

I cant remember if it was a discretionary update or not. maybe it was.

 

either way, i guess the mobile site will have to be the solution!

 

I was hoping the mobile team could know about this, as I am surely not alone.

 

I will accept this as a solution!

Highlighted

Re: MISLEADING: Latest App update does not support iOS 10.3.3

MarkHursh Employee
Employee
Solution

Hi there,

 

So sorry about this. We finally had to stop support for iOS 10 due to development and testing costs associated with older operating systems. Fortunately we have our core functionality available for you right at www.southwest.com .

 

There you will be able to log into your account, view upcoming trips, quickly book and change tickets, add EarlyBird, as well as checkin and obtain Apple Wallet mobile boarding passes.  Some things will be missing unfortunately such as warm sign-in functionality, push notifications, chat support,  Apple Pay, and our inflight movie player support directly in the app. To use inflight movies you can still use our separate AirTime Player app.

 

We apologize for the change but we periodically have to make the very difficult call to limit support for older operating systems as it increases our testing and development costs as well as limits our ability to quickly make updates for everyone. For iOS 10 we extended this out for nearly a year longer than we normally would have to limit the impact as much as possible but we definitely apologize to those it has impacted.  The app store now should be accurately reflecting that we only support iOS 11+.  

 

So sorry again for the trouble but thank you so much for choosing Southwest. 

 

Mark Hursh

Director of Digital Customer Platforms - Marketing

Highlighted

Re: MISLEADING: Latest App update does not support iOS 10.3.3

Usinflight
New Arrival

Also, the alternative methods recommended , the AirTime player, is also a nonstarter . This requires iOS 11.0. Is the a way to access the southwest app features- movies, etc, with iOS 10.x?

 

my iOS 10.3 device works fine with United's app. 😀

 

 

Highlighted

Re: MISLEADING: Latest App update does not support iOS 10.3.3

dfwskier
Rising Star

@Usinflight wrote:

Also, the alternative methods recommended , the AirTime player, is also a nonstarter . This requires iOS 11.0. Is the a way to access the southwest app features- movies, etc, with iOS 10.x?

 

my iOS 10.3 device works fine with United's app. 😀

 

 


Sorry, but if the app requires at least  IOS 11.0, it requires at least 11.0.

 

There would be no way to make an older OS compatible.

Highlighted

Re: MISLEADING: Latest App update does not support iOS 10.3.3

Cissy0712
New Arrival

Airtime player also requires 11.0